	include "gr1.i"

START:  MOVE.L #CUSTOM,A5
	move.w	DMACONR(A5),d0
	or.w #$8000,d0
	move.w d0,olddmareq

	move.l	4,a6
	move.l	#gfxname,a1
	jsr	OldOpenLibrary(a6)
	move.l	d0,gfxbase
	move.l 	d0,a6
	move.l 	38(a6),oldcopper

	jsr WaitTOF(a6)
	move.l	4,a6
	jsr Disable(a6)
        ;MOVE.W	#$7FFF,INTENA(A6)		;Clear interrupt enable
        
        MOVE.L #COPPERLIST,COP1LCH(A5)	;Write to Copper location register
        MOVE.W #(DMAF_SETCLR!DMAF_COPPER),DMACON(A5)

	MOVE.L #$21000,a1		;Point at beginning of bit-plane
        MOVE.L #$FF00FF00,d0		;We will write $FF00FF00 long words
	MOVE.W #2000,d1			;2000 long words = 8000 bytes
LOOP:   MOVE.L d0,(a1)+			;Write a long word
	DBRA d1,LOOP			;Decrement counter and loop until done

LOOP1:	btst.b #6,CIAAPRA ;if mouse button pressed then exit
	beq exit
	btst.b #7,CIAAPRA ;if joystick 1 or 2 pressed then exit
	bne LOOP1

exit:	move.w #$7fff,DMACON(A5)
	move.w	olddmareq,DMACON(A5)

	move.l	oldcopper,COP1LCH(A5)
	move.l 	gfxbase,a6
	jsr WaitTOF(a6)
	move.l	$4,a6
	jmp Enable(a6)

gfxname		DC.B	'graphics.library',0

	CNOP 0,4
oldcopper:	dc.l 0
gfxbase:	dc.l 0
olddmareq:	dc.w 0
oldintreq:	dc.w 0
oldintena:	dc.w 0
oldadkcon:	dc.w 0

	SECTION	Copper,DATA_C
COPPERLIST:
	DC.W BPL1PTH,$0002		;Move $0002 to address $0E0 (BPL1PTH)
	DC.W BPL1PTL,$1000		;Move $1000 to address $0E2 (BPL1PTL)
	DC.W	BPLCON0,$1200	; Bit-Plane control reg.
	DC.W	BPLCON1,$0000	; Hor-Scroll
	DC.W	BPLCON2,$0010	; Sprite/Gfx priority
	DC.W	BPL1MOD,$0000	; Modolu (odd)
	DC.W	BPL2MOD,$0000	; Modolu (even)
	DC.W	DIWSTRT,$2C81	; Screen Size Start
	DC.W	DIWSTOP,$2CC1	; Screen Size Stop
	DC.W	DDFSTRT,$0038	; H-start
	DC.W	DDFSTOP,$00D0	; H-stop
	DC.W	COLOR00,$0F00	; Color #0 = red
	DC.W	COLOR01,$0FF0	; Color #1 = yellow
	DC.L	$FFFFFFFE	;End of Copper list

